

#include "TreeWidget.h"

#include <QStringList>
#include <QTime>


TreeWidget::TreeWidget(QWidget* parent , Qt::WFlags f )
  : QWidget(parent,f)
{
  setupUi(this);

  connect(pushButton, SIGNAL(clicked()),
	  this, SLOT(create_hierachy()));

  connect(pushButton_select, SIGNAL(clicked()),
	  this, SLOT(select_children()));
}
 



TreeWidget::~TreeWidget()
{
}



void
TreeWidget::create_hierachy()
{
  printf("create_hierachy ... \n");
  fflush(stdout);

  for(int i=0; i<1000; i++) {

    QStringList item_cols;

    QString str_nr;
    str_nr.sprintf("[%d]", i);

    printf("%s\n", str_nr.toLatin1().constData() );
    fflush(stdout);

    item_cols.append(str_nr);
    item_cols.append("type abc");

    QTreeWidgetItem* item = new QTreeWidgetItem(treeWidget, item_cols);

    _parent_items.insert(item);

    for(int j=0; j<100; j++) {

      item_cols.clear();

      QString str_nr;
      str_nr.sprintf("[%d - s]", j);

      item_cols.append(str_nr);
      item_cols.append("sub type abc");

      QTreeWidgetItem* subitem = new QTreeWidgetItem(item, item_cols);

    }
    
  }

}



void
TreeWidget::select_children()
{
  printf("select_children ... \n");
  fflush(stdout);

  QTime time1 = QTime::currentTime();
  
  treeWidget->setUpdatesEnabled(false);
  treeWidget->blockSignals(true);

  QList<QTreeWidgetItem*> sitems = treeWidget->selectedItems();

  printf("selected items : [%d] ... \n", sitems.count() );
  fflush(stdout);

  for(int i=0; i<sitems.count(); i++) {

    QTreeWidgetItem* item = sitems[i];

    if(_parent_items.contains(item)) {

      printf("[%d] ... \n", i);
      fflush(stdout);

      for(int j=0; j<item->childCount(); j++) {	
	treeWidget->setItemSelected(item->child(j), true );
      }

    }

  }

  QTime time2 = QTime::currentTime();

  treeWidget->blockSignals(false);
  treeWidget->setUpdatesEnabled(true);

  QString str;

  str.sprintf("time : %d msecs \n", time1.msecsTo(time2));

  textBrowser->append(str);
  qApp->processEvents();


  /*
    qApp->processEvents();
    treeWidget->blockSignals(false);
  */

}
