#ifndef UI_TREEWIDGET_H
#define UI_TREEWIDGET_H

#include <QtCore/QVariant>
#include <QtGui/QAction>
#include <QtGui/QApplication>
#include <QtGui/QButtonGroup>
#include <QtGui/QGridLayout>
#include <QtGui/QPushButton>
#include <QtGui/QSpacerItem>
#include <QtGui/QSplitter>
#include <QtGui/QTextBrowser>
#include <QtGui/QTreeWidget>
#include <QtGui/QWidget>

class Ui_TreeWidget
{
public:
    QGridLayout *gridLayout;
    QSplitter *splitter;
    QTextBrowser *textBrowser;
    QTreeWidget *treeWidget;
    QPushButton *pushButton;
    QPushButton *pushButton_select;
    QSpacerItem *spacerItem;

    void setupUi(QWidget *TreeWidget)
    {
    TreeWidget->setObjectName(QString::fromUtf8("TreeWidget"));
    TreeWidget->resize(QSize(418, 484).expandedTo(TreeWidget->minimumSizeHint()));
    gridLayout = new QGridLayout(TreeWidget);
    gridLayout->setSpacing(6);
    gridLayout->setMargin(9);
    gridLayout->setObjectName(QString::fromUtf8("gridLayout"));
    splitter = new QSplitter(TreeWidget);
    splitter->setObjectName(QString::fromUtf8("splitter"));
    splitter->setOrientation(Qt::Vertical);
    textBrowser = new QTextBrowser(splitter);
    textBrowser->setObjectName(QString::fromUtf8("textBrowser"));
    QSizePolicy sizePolicy(static_cast<QSizePolicy::Policy>(7), static_cast<QSizePolicy::Policy>(5));
    sizePolicy.setHorizontalStretch(0);
    sizePolicy.setVerticalStretch(0);
    sizePolicy.setHeightForWidth(textBrowser->sizePolicy().hasHeightForWidth());
    textBrowser->setSizePolicy(sizePolicy);
    splitter->addWidget(textBrowser);
    treeWidget = new QTreeWidget(splitter);
    treeWidget->setObjectName(QString::fromUtf8("treeWidget"));
    treeWidget->setSizeIncrement(QSize(0, 1));
    treeWidget->setSelectionMode(QAbstractItemView::ExtendedSelection);
    splitter->addWidget(treeWidget);

    gridLayout->addWidget(splitter, 1, 0, 1, 3);

    pushButton = new QPushButton(TreeWidget);
    pushButton->setObjectName(QString::fromUtf8("pushButton"));

    gridLayout->addWidget(pushButton, 0, 0, 1, 1);

    pushButton_select = new QPushButton(TreeWidget);
    pushButton_select->setObjectName(QString::fromUtf8("pushButton_select"));

    gridLayout->addWidget(pushButton_select, 0, 2, 1, 1);

    spacerItem = new QSpacerItem(181, 24, QSizePolicy::Expanding, QSizePolicy::Minimum);

    gridLayout->addItem(spacerItem, 0, 1, 1, 1);

    retranslateUi(TreeWidget);

    QMetaObject::connectSlotsByName(TreeWidget);
    } // setupUi

    void retranslateUi(QWidget *TreeWidget)
    {
    TreeWidget->setWindowTitle(QApplication::translate("TreeWidget", "Form", 0, QApplication::UnicodeUTF8));
    treeWidget->headerItem()->setText(0, QApplication::translate("TreeWidget", "Nr", 0, QApplication::UnicodeUTF8));
    treeWidget->headerItem()->setText(1, QApplication::translate("TreeWidget", "type", 0, QApplication::UnicodeUTF8));
    pushButton->setText(QApplication::translate("TreeWidget", "create hierachy", 0, QApplication::UnicodeUTF8));
    pushButton_select->setText(QApplication::translate("TreeWidget", "select children", 0, QApplication::UnicodeUTF8));
    Q_UNUSED(TreeWidget);
    } // retranslateUi

};

namespace Ui {
    class TreeWidget: public Ui_TreeWidget {};
} // namespace Ui

#endif // UI_TREEWIDGET_H
